# Introduction to nmaas Virtual NOC

Today’s network services are complex with heterogeneous network infrastructures and increasing numbers of value added services and features. Services are becoming increasingly mission critical for end users and the need to provide an integrated view of network and service management will become vital.

The cost and complexity of developing and integrating in-house network management may be too high for many NRENs and institutions. nmaas Virtual NOC aims to support these users to provide an effective, efficient network and service management platform.

## What does nmaas Virtual NOC offer?

nmaas Virtual NOC provides a portfolio of network management applications run on a per-user, secured network monitoring infrastructure. A managed instance of nmaas Virtual NOC is available on [https://nmaas.eu](https://nmaas.eu). [Self-hosting](../../self-hosted-nmaas/introduction.md) is also possible, since all of the components are open-source. The managed instance caters to the following aspects:

- Providing, managing and maintaining the infrastructure of the nmaas service portal, platform and selected tools.
- Supporting users in using the system, and the selected tools for monitoring their networks via nmaas Virtual NOC.
- Supporting users that contribute their software to the nmaas Virtual NOC system.
- nmaas Virtual NOC users are organizations that do not want to own NMS infrastructure themselves and/or want to outsource network management, as well as organizations and/or individuals that are searching for quality network management software or who want to share their software within the community. nmaas Virtual NOC provides multiple benefits, as a system, an application marketplace, and as a service.

nmaas Virtual NOC simplifies domain network management by providing the infrastructure and tools via a cloud-based, multi-tenant and secure network management system. It enables the deployment of network management tools, as well as management and monitoring of client networks, although nmaas Virtual NOC does not monitor and manage the network by itself.

The selection of tools that is and/or can be made available to users is not limited to network management tools and can be easily extended. This allows the same underlying software, the nmaas Platform, to be utilized in multiple scenarios, a prime example being the [nmaas Virtual Lab use-case](../virtual-lab/vlab-introduction.md).

## What is the target group of nmaas Virtual NOC?

nmaas Virtual NOC has been designed to be as flexible as possible to support a wide range of users, including:

- **Small and Emerging NRENs** - Smaller NRENs may have limited resources to develop their own network management systems. By using a shared and supported platform, NRENs can focus on the monitoring and management of their service components.
- **Small Organisations** - nmaas Virtual NOC is ideally suited to support the needs of institutional users - either on an NREN hosted nmaas Virtual NOC deployment or on the managed instance.
- **Distributed Research Projects** - By using a managed platform, these projects can focus on their core research and development activities.

## How Can I Get Started with nmaas Virtual NOC?

If you are NREN or an institution under an NREN and you would like to use the managed nmaas for Virtual NOC instance provided by the GÉANT project, [get in touch with us](../../contact.md). Users interested in self-hosting nmaas Virtual NOC are welcome to visit the dedicated pages for setting up a [demo environment](../../self-hosted-nmaas/local-dev-environment/introduction.md) or deploying nmaas for Virtual NOC on their [own infrastructure](../../self-hosted-nmaas/introduction.md).

A [playground instance](../../managed-nmaas/nmaas-playground-instance.md) hosted by GÉANT is also available.